Subject: Re: [Bugme-new] [Bug 10600] New: e1000 updates rx_bytes infrequently

From: "Michael Chan" <[email-masked]>
Date: Mon, 05 May 2008 17:55:35 -0700

On Mon, 2008-05-05 at 16:18 -0700, David Miller wrote:
> Actually, the thing that matters is when ->get_stats() is called.
> 
> So if a driver can trigger a statistics DMA update at ->get_stats()
> time, that's probably what it should do.  But this could get
> expensive and make the "do DMA less often" optimization less useful.
> 
> 

The width of hardware counters may also be limited and so periodic
fetching or DMA may be needed to prevent overflow.